# Uses of Interface
java.sql.SQLInput

Packages that use SQLInput
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
javax.sql.rowset.serial
Provides utility classes to allow serializable mappings between SQL types and data types in the Java programming language.

- ## Uses of SQLInput in java.sql

  Methods in java.sql with parameters of type SQLInput
  Modifier and Type
  Method
  Description
  `void`
  SQLData.`readSQL(SQLInput stream, String typeName)`
  Populates this object with data read from the database.

- ## Uses of SQLInput in javax.sql.rowset.serial

  Classes in javax.sql.rowset.serial that implement SQLInput
  Modifier and Type
  Class
  Description
  `class`
  `SQLInputImpl`
  An input stream used for custom mapping user-defined types (UDTs).